Package com.sun.mail.smtp

## Class SMTPSSLTransport

- java.lang.Object
- - javax.mail.Service
  - - javax.mail.Transport
    - - com.sun.mail.smtp.SMTPTransport
      - - com.sun.mail.smtp.SMTPSSLTransport

All Implemented Interfaces:
  `AutoCloseable`

    public class SMTPSSLTransport
    extends SMTPTransport

This class implements the Transport abstract class using SMTP over SSL for message submission and transport.

Author:
  Bill Shannon

### Field Summary

### Fields inherited from class javax.mail.Service

`debug, session, url`

### Constructor Summary

Constructors
`SMTPSSLTransport​(Session session, URLName urlname)` Constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class javax.mail.Service

`addConnectionListener, connect, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

### Methods inherited from class com.sun.mail.smtp.SMTPTransport

`bdat, checkConnected, close, connect, data, ehlo, finalize, finishBdat, finishData, getAuthorizationId, getExtensionParameter, getLastReturnCode, getLastServerResponse, getLocalHost, getNoopStrict, getNTLMDomain, getReportSuccess, getRequireStartTLS, getSASLEnabled, getSASLMechanisms, getSASLRealm, getStartTLS, getUseCanonicalHostName, getUseRset, helo, isConnected, isSSL, issueCommand, mailFrom, notifyTransportListeners, protocolConnect, rcptTo, readServerResponse, sendCommand, sendMessage, setAuthorizationID, setLocalHost, setNoopStrict, setNTLMDomain, setReportSuccess, setRequireStartTLS, setSASLEnabled, setSASLMechanisms, setSASLRealm, setStartTLS, setUseCanonicalHostName, setUseRset, simpleCommand, simpleCommand, startTLS, supportsAuthentication, supportsExtension, xtext, xtext`

### Methods inherited from class javax.mail.Transport

`addTransportListener, removeTransportListener, send, send, send, send`

### Constructor Detail

#### SMTPSSLTransport

    public SMTPSSLTransport​(Session session,
                            URLName urlname)

Constructor.

Parameters:
  `session` - the Session
  `urlname` - the URLName of this transport